#
# spec file for package python-aiodataloader
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-aiodataloader
Version:        0.4.0
Release:        1.1
Summary:        Asyncio DataLoader implementation for Python
License:        MIT
URL:            https://github.com/syrusakbary/aiodataloader
Source:         https://github.com/syrusakbary/aiodataloader/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# pypi tarball has no tests
#Source:         https://files.pythonhosted.org/packages/source/a/aiodataloader/aiodataloader-%%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION tests
BuildRequires:  %{python_module pytest >= 3.6}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module typing-extensions}
BuildArch:      noarch
%python_subpackages

%description
A generic utility to be used as part of your application's
data fetching layer to provide a simplified and consistent API over
various remote data sources such as databases or web services via
batching and caching.

%prep
%setup -q -n aiodataloader-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Dec  1 2023 Dirk Müller <dmueller@suse.com>
- update to 0.4.0:
  * Fixed typo in `batch_load_fn` TypeError
  * Removed `None` default value for `key` arg in
    `DataLoader.load()`
  * Removed Python 3.6 as a supported target version
- update to 0.3.0:
  * Adds typing
  * Drops support for Python<3.6
  * Adds support for overriding `get_cache_key` in subclasses
  * Improves README.md and removes README.rst
* Thu Mar 10 2022 pgajdos@suse.com
- pytest-mock is actually not required for build
* Mon Jan 24 2022 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 0.2.1:
  - Resolve deprecation warning for Python 3.9
  - Fix print related typos in the README files
* Mon Dec  6 2021 Sebastian Wagner <sebix+novell.com@sebix.at>
- remove coverage from test.
* Mon Dec  6 2021 Sebastian Wagner <sebix+novell.com@sebix.at>
- initial package for version 0.2.0.
